Ask Your Question
0

(rviz:12054): Gdk-CRITICAL **: IA__gdk_drawable_get_depth: assertion `GDK_IS_DRAWABLE (drawable)' failed

asked 2011-07-12 03:42:53 -0500

Tobias gravatar image

Hi there,

after updating ubuntu maverick to natty, I get the following error running rviz

rosrun rviz rviz

(rviz:12054): Gdk-CRITICAL **: IA__gdk_drawable_get_size: assertion `GDK_IS_DRAWABLE (drawable)' failed

(rviz:12054): Gdk-CRITICAL **: IA__gdk_drawable_get_depth: assertion `GDK_IS_DRAWABLE (drawable)' failed

I am using KDE and assume my gtk-settings were wrong. Do I miss a package or something? I would appreciate any help! Thanks!

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2011-07-12 19:19:53 -0500

Tobias gravatar image

Hi, I can answer that myself. I had to add

export GTK_NATIVE_WINDOWS=1

to my environment variables. Though the message still appears, rvis starts as usual.

Cheers, Tobias

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2011-07-12 03:42:53 -0500

Seen: 2,364 times

Last updated: Jul 12 '11